
<form action="<%=controllerPath %>#tab2" method="post">
<fieldset>

<LEGEND>Add a new local domain</LEGEND>
<DIV class="notes">
	<H4>Local domain</H4>
	<P class="last">Specify a domain name that will be considered a <b>local domain</b> for
this server. Besides the domain name, you also need to specify the IP address of the SMTP server
that will eventually process e-mails for this domain. <br><br>If you wish to change the IP address for
a domain, create a new entry for that domain with a different value for IP address.</P>
</DIV>



<DIV class="required">
	<LABEL for="domainName">Domain name:</LABEL>			
	<INPUT type="text" name="domainName" id="domainName" class="inputText" title="A new local domain name." value="" />
</DIV>

<DIV class="required">
	<LABEL for="ipAddress">Forwarding IP:</LABEL>			
	<INPUT type="text" name="ipAddress" id="ipAddress" class="inputText" title="IP Address of the e-mail server that should receive messages for this domain." value="" />
	<small>E-mails sent for this domain will be forwarded to an SMTP server running on this IP address</small>
</DIV>

<DIV>				
	<INPUT type="submit" class="inputSubmit" value="Save" />				
	<INPUT type="submit" class="inputSubmit" value="Cancel" />
</DIV>

</fieldset>

<input type='hidden' name='operation' value='serverConfig'>
<input type='hidden' name='ctype' value='domain'>

</form>




<p>


<%
java.util.List<String> domainList = (java.util.List)request.getAttribute("domainList");


if(domainList != null && domainList.size() > 0){
	
	
	%>
	<h3>List of local domains</h3>
	The following list shows the existing domains that are considered local domains for this server. Since this is an SMTP gateway, every 
email needs to be forwarded to the actual e-mail server. Therefore, every local domain has an associated IP address representing the machine
that handles the e-mails.
	<table class="greyBorder" width='400'>
	
	<tr><th>Domain name</th><th>Forwarded to</th><th>Action</th></tr>
	<%
	
	for(int i = 0; i < domainList.size(); i++){	
	%>
	<tr>
		<td><%=domainList.get(i) %></td>
		<td><%=com.synametrics.commons.util.net.LocalDNS.getInstance().getIP(domainList.get(i)) %>
		<td align="center"><a href="<%=controllerPath %>?operation=serverConfig&ctype=removeDomain&domainname=<%=domainList.get(i) %>#tab2">Delete domain</a></td>
	</tr>
	<%	
	}
	%>
	</table>
	<%
}
%>





